Name:          libsndfile
Version:       1.0.28
Release:       1mamba
Summary:       A library for reading and writing files containing sampled sound
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.mega-nerd.com/libsndfile/
Source:        http://www.mega-nerd.com/libsndfile/files/libsndfile-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libflac-devel
BuildRequires: libsqlite-devel
## AUTOBUILDREQ-END
BuildRequires: pkgconfig
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Libsndfile is a C library for reading and writing files containing sampled sound (such as MS Windows WAV and the Apple/SGI AIFF format) through one standard library interface.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libsndfile is a C library for reading and writing files containing sampled sound (such as MS Windows WAV and the Apple/SGI AIFF format) through one standard library interface.

This package contains static libraries and header files need for development.

%package tools
Summary:       Tools package for %{name}
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
Libsndfile is a C library for reading and writing files containing sampled sound (such as MS Windows WAV and the Apple/SGI AIFF format) through one standard library interface.

This package contains tools for %{name}.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -fr pckdocs

#%makeoldinstall \
#   htmldocdir=%{_builddir}/%{name}-%{version}/pckdocs/html

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/libsndfile.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/libsndfile.a
%{_libdir}/libsndfile.la
%{_libdir}/libsndfile.so
%{_libdir}/pkgconfig/*.pc
%dir %{_docdir}/libsndfile
%{_docdir}/libsndfile/*
#%doc pckdocs/html/*

%files tools
%defattr(-, root, root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Apr 16 2017 Automatic Build System <autodist@mambasoft.it> 1.0.28-1mamba
- automatic version update by autodist

* Sat Jul 02 2016 Automatic Build System <autodist@mambasoft.it> 1.0.27-1mamba
- automatic version update by autodist

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 1.0.26-1mamba
- automatic version update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 1.0.25-1mamba
- automatic version update by autodist

* Wed Jun 15 2011 Automatic Build System <autodist@mambasoft.it> 1.0.24-1mamba
- automatic update by autodist

* Mon Jan 18 2010 Automatic Build System <autodist@mambasoft.it> 1.0.21-1mamba
- update to 1.0.21

* Thu Jun 04 2009 Automatic Build System <autodist@mambasoft.it> 1.0.20-1mamba
- automatic update by autodist

* Sat Apr 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.19-1mamba
- automatic update by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.18-1mamba
- automatic update by autodist

* Fri Jun 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.17-2mamba
- specfile updated

* Mon Oct 30 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.0.17-1qilnx
- update to version 1.0.17 by autospec

* Wed Feb 15 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.13-1qilnx
- update to version 1.0.13 by autospec

* Wed Jun 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.11-1qilnx
- update to version 1.0.11 by autospec

* Sat Oct 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.10-3qilnx
- added missing BuildRequirements (libalsa-devel)

* Tue Sep 14 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.10-2qilnx
- rebuilt and moved to main repository

* Fri Sep 10 2004 Matteo Bernasconi <voyagernm@virgilio.it> 1.0.10-1qilnx
- first build
